Skip to Content
Chameleon Docs
API referenceSource PDF

Get source PDF link

A link that reads the manual's inspected PDF, for an hour.

GET
/api/manuals/{id}/source

A link that reads the manual's inspected PDF, for an hour.

Authorization

headerx-api-key<token>

Scope: manuals:read

Path Parameters

id*string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Response Body

The link

application/json
  1. response
url*string
Formaturi
expiresAt*string
Formatdate-time
Example Request
curl -X GET 'https://www.chameleonlabs.org/api/manuals/string/source'
Example Response
{  "url": "http://example.com",  "expiresAt": "2019-08-24T14:15:22Z"}